<mat-sidenav-container fullscreen>
  <mat-sidenav #sidenav mode="push" [ngStyle]="{width: '250px'}">
    <mat-toolbar>
      <span>Menu</span>
      <span class="spacer"></span>
      <button mat-icon-button (click)="sidenav.toggle()">
        <mat-icon>menu</mat-icon>
      </button>
    </mat-toolbar>

    <mat-nav-list>
      <mat-list-item *ngFor="let item of sidebarItems" [routerLink]="item.url">
        <mat-icon matListItemIcon>{{item.icon}}</mat-icon>
        {{item.label}}
      </mat-list-item>
    </mat-nav-list>
  </mat-sidenav>

  <mat-toolbar color="primary">
    <button mat-icon-button (click)="sidenav.toggle()">
      <mat-icon>menu</mat-icon>
    </button>
    <span class="spacer"></span>

    <span>{{currentUser?.email}}</span>
    <button mat-button (click)="onLogout()">Logout</button>
  </mat-toolbar>


  <div class="container">
    <router-outlet></router-outlet>
  </div>

</mat-sidenav-container>